"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const loadBalancerHttpsRedirect = (req, res, next) => {
    const MOVED_PERMANENTLY = 301;
    const protocol = req.headers["X-Forwarded-Proto"] || req.headers["x-forwarded-proto"];
    if (protocol === "http") {
        const redirectTo = `https://${req.hostname}${req.originalUrl}`;
        res.redirect(MOVED_PERMANENTLY, redirectTo);
        return;
    }
    next();
};
exports.default = () => loadBalancerHttpsRedirect;
//# sourceMappingURL=index.js.map